#-*- coding: utf-8; -*-

require 'lib/mastermind'

describe "A code & guess with one peg right colour but wrong place" do

  before do
    code = Mastermind::Code.new(:red, :white, :white, :white)
    guess = Mastermind::Code.new(:black, :black, :black, :red)
    @score = code.mark(guess) 
  end

  it "should score 1 white pegs" do
    @score.white.should == 1
  end

end
